#!/usr/local/bin/ruby
#-*-Ruby-*-
# $Id: WEBMHC.rb,v 1.2 1999/12/02 19:18:17 oharakun Exp $

require "cgi-lib"

######################################################################
### SubRoutines
######################################################################

WKLABEL = %w(Sun Mon Tue Wed Thu Fri Sat)

WKCOLOR = {
  'Sun' => 'red',
  'Mon' => 'black',
  'Tue' => 'black',
  'Wed' => 'black',
  'Thu' => 'black',
  'Fri' => 'black',
  'Sat' => 'blue',
}

def getNextMonth(year, mon)
  if (mon >= 12)
    return year + 1, 1
  else
    return year, mon + 1
  end
end

def getPrevMonth(year, mon)
  if (mon <= 1)
    return year - 1, 12
  else
    return year, mon - 1
  end
end

def getMonthStr (year, mon)
  return sprintf("%04d", year) + '/' + sprintf("%02d", mon)
end

def substrPath(str)
  if (str =~ /^#{MHCFolder}\/(\d\d\d\d)\/(\d\d)\/(\d+)$/)
    return $1 + '/' + $2 + '/' + $3
  elsif (str =~ /^#{IntersectFolder}\/(\d+)$/)
    return Intersect + '/' + $1
  else
    return nil
  end
end

def mkCalAry(year, mon)
  calAry = []
  zilch = 1 - Time::local(year, mon, 1).wday
  limit = days_of_month(year, mon)

  for i in 0..5
    calAry[i] = []
    n = zilch + 7 * i
    for j in 0..6
      d = (n + j < 1 || limit < n + j) ? nil : n + j
      calAry[i].push(d)
    end
  end

  calAry
end

if not CGI .respond_to? 'escapeHTML'
  # following definition is derived from cgi-lib.rb(ruby1.3x)
  class CGI
    def escapeHTML (str)
      str.gsub(/&/, "&amp;").gsub(/\"/, "&quot;").gsub(/>/, "&gt;").gsub(/</, "&lt;")
    end
    module_function :escapeHTML
  end
end
