#!/usr/local/bin/ruby
#-*-Ruby-*-
# $Id: mhcdaily.cgi,v 1.2 1999/12/02 19:18:17 oharakun Exp $

require "web-mhc-conf"
require "WEBMHC"
require "MHC"
require "cgi-lib"

######################################################################
### Intializations
######################################################################

$query = CGI.new

Now = Time.now

if ($query['day'] =~ /^(\d\d\d\d)\/(\d\d)\/(\d\d)$/)
  year, mon, day = $1.to_i, $2.to_i, $3.to_i
elsif ($query['day'] =~ /^(\d\d)\/(\d\d)$/)
  year, mon, day = Now.year, $1.to_i, $2.to_i
elsif ($query['day'] =~ /^(\d\d)$/)
  year, mon, day = Now.year, Now.mon, $1.to_i
else
  year, mon, day = Now.year, Now.mon, Now.day
end

yyyy = sprintf("%04d", year)
mm = sprintf("%02d", mon)
dd = sprintf("%02d", day)

NextTarget = "schedule"

######################################################################
### SubRoutines
######################################################################

######################################################################
### Main
######################################################################

print "Content-Type: text/html\n"
print "\n"

sDB = ScheduleDB.new(year, mon)
sDB.scan(year, mon)

print <<EOT
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html lang=ja>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-2022-JP">
<title>MHC Daily Index (#{yyyy}/#{mm}/#{dd})</title>
</head>

<body>

<p>#{yyyy}/#{mm}/#{dd}</p>

<table border=1>

<tr><th>Time</th><th>schedule</th></tr>
<tr><td colspan=2></td></tr>

EOT

s = sDB.search(year, mon, day)

if (s.empty?)
  print "<tr><td colspan=2>No Schedule on #{yyyy}/#{mm}/#{dd}</td></tr>\n"
else
  s.each { |t|
    p = substrPath(t.path)
    print "<tr><td>#{t.tim_s}-#{t.tim_e}</td>\n"
    print "<td>"
    if (p)
      print "<a href=\"#{MHCCAT}?file=#{p}&amp;type=html\""
      print " target=\"#{NextTarget}\">"
      print "#{t.sub}"
      print "</a>"
    else
      print "#{t.sub}"
    end
    print "</td></tr>\n"
  }
end

print <<EOT

</table>

</body>
</html>
EOT

exit 0
